

SELECT  ordhdr_nbr_s,
        ordhdr_orderdate_d,
        uf_ordertax(1.0725, ordhdr_nbr_s) AS amt_incl_tax
FROM    order_header
   JOIN
        customer
   ON   (ordhdr_custid_fn  = cust_id_n)
   JOIN
        address
   ON   (cust_id_n = addr_custid_fn)
WHERE   addr_state_s = 'CA';

CREATE FUNCTION uf_ordertax
(
v_tax DECIMAL(12,2),
v_ordnum VARCHAR(10)
)
RETURNS DECIMAL(12,2)
LANGUAGE SQL NOT DETERMINISTIC
READS SQL DATA
RETURN
-- This query performs variable v_ordamt assignment
SELECT total_price * v_tax
FROM v_customer_totals
WHERE order_number = v_ordnum;