SELECT	
xmlelement(name "product", 
	xmlelement(name "product_id",p.PROD_ID_N),
	xmlelement(name "description",p.PROD_DESCRIPTION_S)) 
FROM product  p;

SELECT	
xmlelement(name "product", 
	xmlforest(
p.PROD_ID_N as product_id,
p.PROD_DESCRIPTION_S as description
)
) 
FROM product p;

UPDATE product SET PROD_REPORT_X = ('  
<productinfo>
        <name>SPF</name>
         <spec>
                <thickness>2</thickness>
                <width>4</width>
        </spec>
        <grade type="commercial">2BTR</grade>
</productinfo>
')
WHERE PROD_ID_N=990;  

UPDATE product
SET PROD_REPORT_X = xmlquery( 'transform 
        	copy $new_doc := $PROD_REPORT_X
modify do replace value of $new_doc/productinfo/grade[@type="commercial"] with "3BTR"
         return  $new_doc') 
WHERE PROD_ID_N = 990;

SELECT xmlquery('transform
copy $new_doc:= $PROD_REPORT_X
modify do replace value of $new_doc/productinfo/grade   with "2BTR"
return $new_doc') 
FROM product
WHERE PROD_ID_N = 990;

UPDATE product
SET PROD_REPORT_X = xmlquery( 'transform 
        copy $new_doc := $PROD_REPORT_X
        modify do delete $new_doc /productinfo/grade/@type
        return  $new_doc') 
WHERE PROD_ID_N = 990;

UPDATE product
SET PROD_REPORT_X = xmlquery( 'transform 
copy $new_doc := $PROD_REPORT_X
modify do rename $new_doc/productinfo/grade as    "prod_grade"
return  $new_doc') 
WHERE PROD_ID_N = 990;

UPDATE product
SET PROD_REPORT_X = xmlquery('
copy $new_doc := $PROD_REPORT_X
modify do replace $new_doc/productinfo/prod_grade
with <prod_grade>customer</prod_grade>
return  $new_doc') 
WHERE PROD_ID_N = 990;

UPDATE  product
SET PROD_REPORT_X = xmlquery('copy $new_doc := $PROD_REPORT_X
         modify 
         do insert <product type="custom">block</product> 
         into $new_doc/productinfo
         return  $new_doc' )
where PROD_ID_N = 990;