CREATE TYPE addr_type AS TABLE 
(
  street   VARCHAR(30)
 ,city   VARCHAR(30)
 ,[state]  CHAR(2)
 ,zip   VARCHAR(10)
 ,country  VARCHAR(30)
 ,type_of_addr CHAR(1)
)
GO

CREATE TABLE cust1 
(
  id   INT
 ,[name]  VARCHAR(30)
 ,[address] addr_type)
GO

CREATE TYPE usd FROM DEC(12,2) NOT NULL
GO

CREATE RULE bool_rule AS @list in ('TRUE', 'FALSE')
GO

sp_addtype BOOLEAN, 'VARCHAR(5)', 'NULL'
GO

sp_bindrule 'bool_rule', 'BOOLEAN';
GO



