SELECT 5 + 5 total_value
GO

SELECT 5 + 5 total_value
GO

SELECT CAST('09/10/2007 12:00 AM' AS DATETIME) + 10
AS result_date
GO

SELECT 5%3 remainder
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n BETWEEN 15 AND 23.10
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_description_s BETWEEN 'C' AND 'S'
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_description_s BETWEEN 'C' AND 'ST'
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n IN (10,15,18.24,16.03)
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n = 10
OR prod_price_n = 15
OR prod_price_n = 18.24
OR prod_price_n = 16.03
GO

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n = 10
OR prod_price_n = 15
OR prod_price_n = 18.24
OR prod_price_n = 16.03
GO

SELECT prod_description_s
FROM product
WHERE EXISTS(SELECT *
FROM order_line
WHERE order_line.ordline_prodid_fn =
product.prod_id_n
AND ordline_ordqty_n < 90)
GO

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE 'WILE%'
GO

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE 'WILE% _EAL%'
GO

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE 'WILE% [S,B]%'
GO

SELECT table_name,
table_type
FROM INFORMATION_SCHEMA.TABLES
WHERE table_name LIKE 'ORD%/_L%' ESCAPE '/'
GO

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE '___E% _ES%'
GO


SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n > 20
AND prod_description_s LIKE 'S%'
GO 

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n NOT IN (10,15,18.24,16.03)
GO

SELECT total_price,
total_price + 4 * 0.085 tax
FROM v_customer_totals
GO

SELECT total_price,
(total_price + 4) * 0.085 value1,
total_price + 4 * 0.085 value2
FROM v_customer_totals
GO

UPDATE product
SET prod_price_n = prod_price_n * 1.02
GO

UPDATE product
SET prod_price_n = prod_price_n * 1.02
WHERE prod_id_n = 1880
GO

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
GO

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
GO


SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price > 7500
GO

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price <= 7538.20
GO

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price <= 7538.20
GO

SELECT order_number,
total_price,
CASE
WHEN total_price < 7500 THEN 'medium order'
WHEN total_price > 7500
AND total_price < 10000 THEN 'big order'
WHEN total_price > 10000 THEN 'very big order'
ELSE 'cannot say'
END
FROM v_customer_totals
GO

SELECT 5 & 13 result
GO





