SELECT table_name, 
       column_name,
       column_default,
       data_type
FROM   information_schema.columns
GO

SELECT table_name, 
       column_name,
       column_default,
       data_type
FROM   information_schema.columns
WHERE  table_name = 'SALESMAN'
GO

SELECT tbl.table_name, 
       tbl.table_type
FROM   information_schema.tables tbl
WHERE  tbl.table_name NOT IN
  (SELECT table_name 
   FROM   information_schema.constraint_column_usage)
GO

exec sp_tables
GO

exec sp_columns 'CUSTOMER'
GO

exec sp_server_info
GO

exec sp_databases
GO

exec sp_help
GO

SELECT @@CONNECTIONS AS 'Connections Total'
GO

SELECT @@VERSION AS 'SQL Server Info'
GO

USE ACME
GO

SELECT DB_NAME() AS 'database',
       DB_NAME(7) AS 'db_by_id',
      DB_ID() AS 'id' 
GO

select app_name() as 'application'
GO

select @@ROWCOUNT as 'rows'
GO

SELECT suser_sname() AS LOGIN_NAME,
        user_name() AS DB_USER
GO


SELECT suser_sname() AS LOGIN_NAME,
        user_name() AS DB_USER
GO
