DECLARE @v_prodcount INTEGER
GO

SELECT @v_prodcount = 0
GO

DROP PROCEDURE SP_PRINTCUSTPHONE
GO

CREATE PROCEDURE SP_PRINTCUSTPHONE
-- The procedure displays customer names and phone numbers
AS
 -- Declare local variables to fetch cursor values into
 DECLARE @v_custname VARCHAR(50)
 DECLARE @v_phone VARCHAR(20)
 -- Declare  cursor
 DECLARE cur_custphone CURSOR FOR
 SELECT name,
        phone_number
 FROM   v_contact_list
 WHERE  contact_type = 'customer'
BEGIN
 -- Open cursor
 OPEN cur_custphone
 -- Fetch cursor for the first time
 FETCH cur_custphone
 INTO  @v_custname,@v_phone
 -- Fetch records in loop until the last one is reached
 WHILE @@fetch_status = 0
 BEGIN
   PRINT @v_custname + @v_phone
   FETCH cur_custphone
   INTO  @v_custname,
         @v_phone
END
 -- Close cursor
 CLOSE cur_custphone
 DEALLOCATE cur_custphone
END
GO

DROP TRIGGER trbu_produc
GO 

CREATE TRIGGER trbu_product ON product
FOR UPDATE
AS
IF UPDATE (prod_price_n)
    INSERT INTO product_audit
    SELECT  i.prod_id_n,
            d.prod_price_n,
            i.prod_price_n,
            USER,
            GETDATE()
     FROM   inserted i
       JOIN
            deleted d
       ON i.prod_id_n = d.prod_id_n
GO

