SELECT TO_CHAR(SYSDATE) nls_date FROM   dual;

ALTER SESSION SET NLS_DATE_FORMAT = 'DD-MON-YYYY HH24:MI:SS'; 

SELECT TO_CHAR(SYSDATE) nls_date FROM  dual;

UPDATE customer SET cust_status_s = 'N';
COMMIT;

LOCK TABLE customer IN EXCLUSIVE MODE;

LOCK TABLE customer IN EXCLUSIVE MODE NOWAIT;

UPDATE customer 
SET    cust_status_s = 'N'
WHERE  cust_id_n = 1;

SAVEPOINT first_update;

DELETE customer
WHERE  cust_id_n = 2;

SAVEPOINT first_delete;

DELETE customer
WHERE  cust_id_n = 10;

ROLLBACK TO first_update;


