-- The following UPDATE statements assume the ACME database is created,
-- and populated using create_acme_db2.sql and load_data_db2.dat scripts
-- as explained in Appendix F.

UPDATE shipment
SET shipment_arrivdate_d = '2003-09-02'
WHERE shipment_id_n = 30661;

UPDATE shipment
SET shipment_arrivdate_d = '09/02/2003'
WHERE shipment_id_n = 30661;

UPDATE shipment
SET shipment_arrivdate_d = '02.09.2003'
WHERE shipment_id_n = 30661;

UPDATE shipment
SET shipment_arrivdate_d = '02-SEP-2003'
WHERE shipment_id_n = 30661;

UPDATE shipment
SET shipment_createdate_d = '2003-10-12-23.34.29'
WHERE shipment_id_n = 30661;

UPDATE shipment
SET shipment_createdate_d = '2003-10-12 23:34:29.345678'
WHERE shipment_id_n = 30661;

CREATE TYPE addr_type AS (
street VARCHAR(30),
city VARCHAR(30),
state CHAR(2),
zip VARCHAR(10),
country VARCHAR(30),
type_of_addr CHAR(1))
MODE DB2SQL;

CREATE TABLE cust1 (
id INTEGER,
name VARCHAR(30),
address addr_type);

CREATE TABLE cust2 (
id INTEGER,
name VARCHAR(30),
address REF(addr_type));

CREATE DISTINCT TYPE usd AS DECIMAL(12,2) WITH COMPARISONS;

CREATE TABLE employee (
id INTEGER,
same VARCHAR(30),
salary USD);
