SELECT 
    CEILING (prod_price_n) ceil_price,
    prod_price_n
FROM product;

SELECT 
    FLOOR (prod_price_n) floor_price,
    prod_price_n
FROM product;

SELECT 
    ROUND(prod_price_n,1) round_price,
    prod_price_n
FROM product;

SELECT
TRUNC(prod_price_n, 1) trunc_price,
prod_price_n
FROM product;


SELECT
    RAND(5)
FROM sysibm.sysdummy1;

SELECT 
    SIGN (prod_price_n) sign_price,
    prod_price_n
FROM product;

SELECT  
    '$' || CHAR(prod_price_n) display_price
FROM product;

SELECT  
    LOCATE(' ',PROD_DESCRIPTION_S) char_position
FROM product;


SELECT  
    POSSTR(PROD_DESCRIPTION_S,' ') char_position
FROM product;

SELECT 
    SUBSTR(prod_description_s,1,3)
FROM product;

SELECT
    SUBSTR(prod_description_s,1,
    POSSTR(prod_description_s, CHR(32))-1) || '#' || prod_num_s || '#' || '$' ||
    CHAR(prod_price_n) display
FROM  product;

SELECT
    LENGTH(CURRENT DATE) date_length,
    LENGTH(CURRENT TIMESTAMP) timestamp_length
FROM sysibm.sysdummy1;

SELECT  
    UPPER(prod_description_s) upper_case,
    LOWER(prod_description_s) lower_case
FROM product;

SELECT
    REPEAT('repeat',3) example
FROM SYSIBM.SYSDUMMY1;

SELECT
LENGTH(LTRIM(' three_blanks')) ltrimmed,
LENGTH(' three_blanks') with_leading_blanks
FROM sysibm.sysdummy1;

SELECT
    HOUR(CURRENT TIMEZONE) utc_difference
FROM sysibm.sysdummy1;

SELECT
    CURRENT DATE + 20 DAY
FROM sysibm.sysdummy1;

SELECT 
    (CURRENT DATE + 5 MONTH) add_months
FROM sysibm.sysdummy1;

SELECT
    (CURRENT DATE + 5 DAYS)add_days
FROM sysibm.sysdummy1;

SELECT
    YEAR(CURRENT DATE) as year
	  ,MONTH(CURRENT DATE) as month
	  ,HOUR (CURRENT TIME) as hour
FROM sysibm.sysdummy1;

SELECT
    DAYNAME(CURRENT DATE) day_name,
  MONTHNAME(CURRENT DATE) month_name
FROM sysibm.sysdummy1;

SELECT
    (MONTH('08-05-2007') - MONTH('10-05-2007'))
     months_in_between
FROM sysibm.sysdummy1;

SELECT customer_name, 
CONCAT('$', CAST(total_price as CHAR(32))) PRICE FROM v_customer_totals; 

SELECT DATE('2007-09-12') ISO, 
DATE('09/12/2007') USA, 
DATE('12.09.2007') EUR 
FROM sysibm.sysdummy1;

SELECT
    CHAR(CURRENT DATE) char_date
FROM sysibm.sysdummy1;

SELECT cust_name_s, 
CASE cust_credhold_s 
WHEN 'Y' THEN 'good credit' WHEN 'N' 
THEN 'on hold' ELSE 'undefined' END FROM customer;

SELECT
    NULLIF(cust_credhold_s, cust_status_s) compare_stat
FROM customer;

SELECT
    cust_name_s,
    COALESCE(cust_alias_s, 'undefined') alias_status
FROM customer;



SELECT
    SUBSTR(prod_description_s,1,
    POSSTR(prod_description_s, CHR(32))-1) || '#' || prod_num_s || '#' || '$' ||
    CHAR(prod_price_n) display
FROM  product;

SELECT LENGTH(LTRIM('   three_blanks')) ltrimmed,
       LENGTH('   three_blanks') 
 with_leading_blanks 
FROM sysibm.sysdummy1;

SELECT DAYNAME(CURRENT DATE)
 day_name, MONTHNAME(CURRENT DATE)
 month_name FROM sysibm.sysdummy1;

SELECT customer_name, 
CONCAT('$', CAST(total_price as CHAR(32))) price FROM v_customer_totals;


SELECT DATE('2007-09-12') ISO,
 DATE('09/12/2007') USA,
 DATE('12.09.2007') 
EUR FROM sysibm.sysdummy1;

SELECT cust_name_s, CASE cust_credhold_s 
WHEN 'Y' THEN 'good credit' WHEN 'N' 
THEN 'on hold' ELSE 'undefined' END FROM customer;


SELECT
    cust_name_s,
    COALESCE(cust_alias_s, 'undefined') alias_status
FROM customer;