

GRANT CREATETAB
ON DATABASE
TO PUBLIC;


GRANT CREATETAB
ON DATABASE
TO GROUP sales;

GRANT REFERENCES (cust_paytermsid_fn)
ON TABLE customer
TO PUBLIC
WITH GRANT OPTION;


REVOKE CREATETAB
ON DATABASE
FROM PUBLIC;


REVOKE REFERENCES 
ON TABLE customer 
FROM PUBLIC;

CREATE VIEW v_customer_status
(
  name,
  status
)
AS
SELECT cust_name_s,
       cust_status_s
FROM   customer;

SELECT *
FROM v_customer_status;


CREATE VIEW v_customer_totals_over_15000
AS
SELECT *
FROM   v_customer_totals
WHERE  total_price < 15000;

SELECT DISTINCT cust_name_s
FROM   customer cu 
  JOIN 
       order_header oh
  ON   cu.cust_id_n = oh.ordhdr_custid_fn;

SELECT ENCRYPT(prod_brand_s, 'PASSWORD') encrypted
FROM   product;
