-- The following statements assume incremental ACME database creation
-- started in Chapter 2  and Chapter 4 after creating 
-- an empty database using empty_acme.sql script.

ALTER TABLE PHONE
ADD PHONE_PRIMARY_S CHAR(1) CONSTRAINT df_phoneprim
DEFAULT 'Y'
CONSTRAINT chk_phoneprim
CHECK (PHONE_PRIMARY_S IN ('Y','N')),
PHONE_CATEGORY_S CHAR(15)
GO

ALTER TABLE ORDER_LINE
ALTER COLUMN ORDLINE_ORDQTY_N NUMERIC(3)
GO

ALTER TABLE PHONE
DROP COLUMN PHONE_PRIMARY_S, PHONE_CATEGORY_S
GO

ALTER TABLE salesman
ADD CONSTRAINT uk_salesmancode UNIQUE (salesman_code_s)
GO

ALTER TABLE SALESMAN
DROP CONSTRAINT uk_salesmancode
GO

ALTER TABLE PHONE
NOCHECK CONSTRAINT chk_phoneprim
GO

ALTER TABLE PHONE
CHECK CONSTRAINT chk_phoneprim
GO

DROP TABLE customer
GO

ALTER INDEX idx_cust_name_als
ON customer
DISABLE
GO

DROP INDEX idx_phone_cust ON phone
GO





