SET ANSI_NULLS ON
GO

SELECT phone_phonenum_s FROM   phone 
WHERE  phone_salesmanid_fn <> NULL
GO

SET ANSI_NULLS OFF
GO

SELECT phone_phonenum_s FROM   phone WHERE  phone_salesmanid_fn <> NULL
GO

DBCC USEROPTIONS
GO


SELECT phone_phonenum_s 
FROM   phone 
WHERE  phone_salesmanid_fn IS NOT NULL
GO

SET NOCOUNT,  ANSI_DEFAULTS ON
GO

BEGIN TRAN
    SELECT * FROM customer
    UPDATE customer 
    SET cust_status_s = 'N'
COMMIT TRAN
GO


UPDATE customer 
SET    cust_status_s = 'N'
GO

ROLLBACK WORK
GO

UPDATE customer 
SET    cust_status_s = 'N'
WHERE  cust_id_n = 1
GO

DELETE customer 
WHERE  cust_id_n = 1
GO

ROLLBACK WORK
GO

BEGIN TRANSACTION trans1
GO

UPDATE customer 
SET    cust_status_s = 'N'
WHERE  cust_id_n = 1
GO

SAVE TRANSACTION cust_1
GO

UPDATE customer
SET    cust_status_s = 'N'
WHERE  cust_id_n = 2
GO

ROLLBACK TRANSACTION cust_1
GO

COMMIT TRANSACTION
GO

SELECT cust_status_s 
FROM   customer
WHERE  cust_id_n = 1
GO


SELECT *
FROM CUSTOMER 
GO

COMMIT
GO

SELECT cust_status_s 
FROM   customer
WHERE  cust_id_n = 1
GO

SET TRANSACTION ISOLATION LEVEL READ COMMITTED
GO

BEGIN TRAN TRAN1
UPDATE customer 
SET    cust_status_s = 'Y'
WHERE  cust_id_n = 1
GO

SELECT cust_status_s 
FROM   customer
WHERE  cust_id_n = 1
GO



SELECT cust_status_s 
FROM   customer
WHERE  cust_id_n = 1
GO

SELECT  * FROM customer WITH (ROWLOCK)
GO 

SET DEADLOCK_PRIORITY LOW 
GO
