
SELECT 
    CEILING (prod_price_n) ceil_price,
    prod_price_n
FROM product
GO

SELECT 
    FLOOR (prod_price_n) floor_price,
    prod_price_n
FROM product
GO

SELECT 
    ROUND(prod_price_n,1) round_price,
    prod_price_n
FROM product
GO

SELECT 
    ROUND (prod_price_n,1) round_price_right,
    ROUND (prod_price_n,-1) round_price_left,
    prod_price_n
FROM product
GO



SELECT RAND(1) random_number
GO 

SELECT ROUND((RAND(15)* 10000),0) from_zero_to_10000
GO

SELECT 
    SIGN (prod_price_n) sign_price,
    prod_price_n
FROM product
GO

SELECT  
    '$' + CONVERT(varchar, prod_price_n) display_price
FROM product
GO

SELECT 
    CHARINDEX(' ', prod_description_s, 1) char_position
FROM product
GO

SELECT  
    CHARINDEX(CHAR(32),
    prod_description_s, 1) char_position
FROM product
GO

SELECT 
    SUBSTRING(prod_description_s, 2, LEN(prod_description_s))
FROM product
GO

SELECT
    LEFT(prod_description_s,
    CHARINDEX(CHAR(32),
    prod_description_s, 1)-1) + '#'+ prod_num_s + '#' + '$' + CONVERT(VARCHAR,prod_price_n) display
FROM product
GO

SELECT DATALENGTH(GETDATE())
GO

SELECT  
    UPPER(prod_description_s) upper_case,
    LOWER(prod_description_s) lower_case
FROM product
GO

SELECT STR(123.35) result
GO

SELECT 
 STR(123.235,7,3) 	result1
,STR(123.23,7,3) 	result2
,STR(123.2318,7,3) 	result3
GO

SELECT REPLICATE('repeat',3) example
GO


SELECT STUFF('aaaaaaaaa', 3, 1, 'bbb') result
GO

SELECT
    LEN(LTRIM('   three_blanks')) ltrimmed,
    LEN('   three_blanks') with_leading_blanks
GO

SELECT
    GETUTCDATE() utc_time,
    GETDATE() 	local_time
GO

SELECT
    DATEADD(month,5,'2008-09-05') months
GO

SELECT
    DATEPART( month, '08-05-2007') month_part,
	  MONTH('08-05-2007') month_part_too
GO

SELECT
    DATENAME(MONTH, GETDATE()) month_name
GO

SELECT
    DATENAME(WEEKDAY, GETDATE()) day_name
GO

SELECT
datediff(month, '08-05-2007','10-05-2007') months_in_between
GO

SELECT
    SUM(total_price) total_sale
FROM  v_customer_totals
GO


SELECT
    customer_name,
    SUM(total_price) total_sale
    FROM  v_customer_totals
GROUP BY customer_name
GO

SELECT
    SUM(DISTINCT total_price)distinct_price,
    SUM(ALL total_price) total_sale
FROM  v_customer_totals
GO

SELECT
    COUNT(order_number) total_orders
FROM  v_customer_totals
GO

SELECT
    COUNT(*) total_orders
FROM  v_customer_totals
GO

SELECT
    COUNT(DISTINCT customer_name)total_customers,
    COUNT(ALL customer_name) all_records
FROM  v_customer_totals
GO

SELECT
    customer_name,
    COUNT(order_number) total_orders
FROM  v_customer_totals
GROUP BY customer_name
GO

SELECT
    COUNT(phone_salesmanid_fn) count_no_nulls,
    COUNT (*)count_all
FROM phone
GO

SELECT
    AVG(total_price) average_price
FROM  v_customer_totals
GO

SELECT
    SUM(total_price)/COUNT(order_number) average_price
FROM v_customer_totals
GO

SELECT
    customer_name,
    AVG(total_price) average_order
FROM v_customer_totals
GROUP BY customer_name
GO

SELECT
    MAX(total_price) max_order,
    MIN(total_price) min_order
FROM v_customer_totals
GO

SELECT customer_name,
    MAX(total_price) max_order,
    MIN(total_price) min_order
FROM v_customer_totals
GROUP BY customer_name
GO

SELECT
    customer_name,
    '$' + CAST(TOTAL_PRICE as VARCHAR(10)) price
FROM v_customer_totals
GO

SELECT CONVERT(VARCHAR(25), GETDATE(),109)
GO

SELECT CONVERT(VARCHAR(25), GETDATE(),111)
GO

SELECT UNICODE('?') uni_code
GO

SELECT NCHAR(216) uni_character
GO

SELECT @@LANGUAGE AS language
,CURRENT_USER 		AS [user]
,HOST_NAME() 		AS host
,SYSTEM_USER 		AS sysuser
GO


SELECT
    cust_name_s,
    CASE cust_credhold_s
        WHEN 'Y' THEN 'good credit'
        WHEN 'N' THEN 'on hold'
        ELSE 'undefined'
    END
FROM customer
GO

UPDATE CUSTOMER
    SET cust_status_s = CASE cust_status_s
        WHEN 'Y' then 'N'
        ELSE 'Y'
    END
GO

SELECT
    NULLIF(cust_credhold_s, cust_status_s) compare_stat
FROM customer
GO

SELECT
    cust_name_s,
    ISNULL(cust_alias_s, 'undefined') alias_status
FROM customer
GO
