SELECT 5 + 5 total_value
FROM dual;

SELECT 5 || 5 total_value
FROM dual;

SELECT SYSDATE,
(SYSDATE) + 10 result_date
FROM dual;

SELECT SYSDATE,
(SYSDATE) + 2/24 result_date
FROM dual;

SELECT SYSDATE ,
(SYSDATE) + 1/(24*60) result_date
FROM dual;

SELECT order_number,
total_price,
total_price * 0.085 tax
FROM v_customer_totals;

SELECT MOD(5,3) remainder
FROM dual;

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n BETWEEN 15 AND 23.10;

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_description_s BETWEEN 'C' AND 'S';

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_description_s BETWEEN 'C' AND 'ST';

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n IN (10,15,18.24,16.03);

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n = 10
OR prod_price_n = 15
OR prod_price_n = 18.24
OR prod_price_n = 16.03;

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n = 10
OR prod_price_n = 15
OR prod_price_n = 18.24
OR prod_price_n = 16.03;

SELECT prod_description_s
FROM product
WHERE EXISTS(SELECT *
FROM order_line
WHERE order_line.ordline_prodid_fn =
product.prod_id_n
AND ordline_ordqty_n < 90);


SELECT prod_description_s
FROM product
WHERE EXISTS (SELECT * FROM DUAL);

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE 'WILE%';

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE 'WILE% _EAL%';

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE cust_name_s LIKE '___E% _ES%';

SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n > 20
AND prod_description_s LIKE 'S%';

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE REGEXP_LIKE (cust_name_s, '(^WILE[ ][S|B])');

SELECT cust_id_n,
cust_name_s
FROM customer
WHERE REGEXP_LIKE (cust_name_s, '(^WILE.+[S|B])');

SELECT prod_description_s,
REGEXP_COUNT(prod_description_s, '([N][D])', 1)
PATTERN_COUNT
FROM product
WHERE REGEXP_LIKE (prod_description_s, '([N][D])');


SELECT prod_id_n,
prod_description_s description,
prod_price_n price
FROM product
WHERE prod_price_n NOT IN (10,15,18.24,16.03);

SELECT total_price,
total_price + 4 * 0.085 tax
FROM v_customer_totals;


SELECT
-2 * 3 + 5 result
FROM dual;

SELECT
-(2 * 3 + 5) result
FROM dual;

SELECT -(+total_price) minus_first,
+(-total_price) plus_first
FROM v_customer_totals;

SELECT total_price,
(total_price + 4) * 0.085 value1,
total_price + 4 * 0.085 value2
FROM v_customer_totals;

UPDATE product
SET prod_price_n = prod_price_n * 1.02;

UPDATE product
SET prod_price_n = prod_price_n * 1.02
WHERE prod_id_n = 1880;

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals;

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals;

SELECT SYSDATE FROM DUAL;

SELECT * FROM DUAL WHERE SYSDATE = '24 -SEP-07';

SELECT TO_CHAR(SYSDATE, 'DD-MON-YY HH:MI:SS') FROM DUAL;

SELECT * FROM DUAL WHERE TRUNC(SYSDATE) = '24 -SEP-07';

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price > 7500;

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price <= 7538.20;

SELECT customer_name,
order_number,
total_price
FROM v_customer_totals
WHERE total_price <= 7538.20;

SELECT order_number,
total_price,
CASE
WHEN total_price < 7500 THEN 'medium order'
WHEN total_price > 7500
AND total_price < 10000 THEN 'big order'
WHEN total_price > 10000 THEN 'very big order'
ELSE 'cannot say'
END
FROM v_customer_totals;









